Skip to main content
PATCH
Change a webhook's events

Authorizations

Authorization
string
header
required

Your API key, e.g. gr_live_…

Headers

Idempotency-Key
string

Your own unique id for this request (at most 255 characters). The same id and body within 24 hours answers the first answer again — never a second send or charge.

Maximum string length: 255

Path Parameters

id
string
required

The id.

Body

application/json
events
enum<string>[]
required
Minimum array length: 1
Available options:
message.accepted,
message.sent,
message.delivered,
message.read,
message.failed,
message.received,
message.sent_from_phone,
wallet.low,
number.quality_changed,
number.status_changed,
number.name_changed,
template.status_changed,
template.quality_changed,
template.created,
template.deleted,
campaign.started,
campaign.finished,
campaign.paused,
campaign.stopped,
plan.ended,
key.disabled,
daily_limit.reached,
webhook.disabled

Response

The webhook (never the secret).

id
string
url
string
events
string[]
status
enum<string>
Available options:
ON,
OFF
created_at
string | null